Page MenuHomePhabricator

Add basic browser tests
Closed, ResolvedPublic

Description

Write browser tests covering the basic flow of a user being entered into a user survey.


Rough guidelines:

As a user (anon or logged in) if there's an enabled quick survey and I'm bucketed to see it I'll see the survey and I'm able to interact with it (answer it or visit the external survey link) and then I see the thanks screen. I can also check the privacy policy when the survey shows.

See AC on T107592 and T107589

Event Timeline

phuedx created this task.Aug 25 2015, 4:32 PM
phuedx raised the priority of this task from to Needs Triage.
phuedx updated the task description. (Show Details)
phuedx added a project: QuickSurveys.
phuedx added a subscriber: phuedx.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 25 2015, 4:32 PM
phuedx triaged this task as High priority.Aug 25 2015, 4:32 PM
phuedx set Security to None.
phuedx moved this task from Needs Analysis to To Do on the Reading-Web-Sprint-54-28-Days-Later board.
Jhernandez updated the task description. (Show Details)Aug 25 2015, 4:37 PM

I'm going to add one for the internal surveys as part of T110013

Change 233764 had a related patch set uploaded (by Jdlrobson):
QA: My extensions first browser test

https://gerrit.wikimedia.org/r/233764

Jdlrobson moved this task from To Do to Code Review on the Reading-Web-Sprint-54-28-Days-Later board.

Change 233852 had a related patch set uploaded (by Jdlrobson):
QA: Browser test for participant in survey

https://gerrit.wikimedia.org/r/233852

Change 233764 merged by jenkins-bot:
QA: My extensions first browser test

https://gerrit.wikimedia.org/r/233764

Jdlrobson added a subscriber: Jhernandez.

Moving here till subtasks have been resolved. With allow @Jhernandez to sign off when he's satisfied Roman emperor style

Change 233852 merged by jenkins-bot:
QA: Browser test for participant in survey

https://gerrit.wikimedia.org/r/233852

phuedx closed this task as Resolved.Aug 27 2015, 11:02 AM

This is a technical task.

We can reopen it if the mwext-mw-selenium job starts failing intermittently again.

phuedx reopened this task as Open.Aug 27 2015, 11:03 AM

Wrong task…

phuedx closed this task as Resolved.Sep 1 2015, 10:06 AM

This is a technical task.